dev.yml 1.03 KB
Newer Older
1 2
name: beat-web
channels:
3 4
  - http://www.idiap.ch/software/beat/conda/label/beta
  - http://www.idiap.ch/software/beat/conda
5 6
  - defaults
dependencies:
7 8
  # packages you may pin are here
  - python=3.6
9 10
  - bob-devel=2019.03.07
  - beat-devel=2019.03.07
11

12
  # requirements.txt, they are indirectly pinned through the above
13
  - beat.core=1.8
14 15 16
  - docopt
  - docutils
  - jinja2
17
  - graphviz
18 19
  - matplotlib
  - psutil
20
  - psycopg2
21 22
  - pytz
  - simplejson
23 24 25

  # these are required for local development, they are not runtime
  - beat.cmdline
26 27 28 29 30 31
  - bob.extension
  - nose
  - coverage
  - sphinx
  - sphinx_rtd_theme
  - bob.buildout
32
  - mr.developer
33
  - sphinxcontrib-programoutput
34
  - sphinxcontrib-httpdomain
35 36

  # add here, packages which are **not** available on above channels
37
  - pip:
38
    - django>=1.11,<2.0
39
    - django-activity-stream>=0.6,<0.7
40
    - django-guardian>=1.4,<1.5
41
    - django-jsonfield>=1.0,<1.1
42 43 44 45
    - django-jsonfield-compat>=0.4,<0.5
    - django-post_office>=3.1,<3.2
    - django-rest-swagger>=2.2,<2.3
    - djangorestframework>=3.9,<3.10